summaryrefslogtreecommitdiff
path: root/recipes-images/images/files/library/tegra/update.sh
diff options
context:
space:
mode:
authorDominik Sliwa <dominik.sliwa@toradex.com>2016-12-19 14:32:15 +0100
committerStefan Agner <stefan.agner@toradex.com>2017-01-10 16:54:45 -0800
commiteb4e2c5fc55a6167c5f6feea4af2e8e89e8ad633 (patch)
tree8c367a2f6f60814a5fb77f0ba5692f935375c86d /recipes-images/images/files/library/tegra/update.sh
parent5b26740b4f0d8eb32d25e716faaf127dd90a3c53 (diff)
images: update.sh: Add Apalis TK1 Mainline machine
Signed-off-by: Dominik Sliwa <dominik.sliwa@toradex.com> Acked-by: Max Krummenacher <max.krummenacher@toradex.com>
Diffstat (limited to 'recipes-images/images/files/library/tegra/update.sh')
-rwxr-xr-xrecipes-images/images/files/library/tegra/update.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/recipes-images/images/files/library/tegra/update.sh b/recipes-images/images/files/library/tegra/update.sh
index 3644511..a07b005 100755
--- a/recipes-images/images/files/library/tegra/update.sh
+++ b/recipes-images/images/files/library/tegra/update.sh
@@ -139,7 +139,14 @@ case $MODTYPE_DETECT in
if [ "$CNT" -ge 1 ] ; then
echo "Apalis TK1 rootfs detected"
MODTYPE=apalis-tk1
+
+ CNT=`grep -ic "mainline" rootfs/etc/issue || true`
+ if [ "$CNT" -ge 1 ] ; then
+ echo "Mainline variant"
+ MODTYPE=apalis-tk1-mainline
+ fi
fi
+
fi
else
CNT=`grep -ic "colibri" rootfs/etc/issue || true`
@@ -197,7 +204,7 @@ case "$MODTYPE" in
OUT_DIR="$OUT_DIR/apalis_t30"
U_BOOT_BINARY=u-boot-dtb-tegra.bin
;;
- "apalis-tk1")
+ "apalis-tk1" | "apalis-tk1-mainline")
BCT=PM375_Hynix_2GB_H5TC4G63AFR_RDA_924MHz.bct
CBOOT_IMAGE=apalis-tk1.img
CBOOT_IMAGE_TARGET=tegra124
@@ -369,7 +376,7 @@ if [ "${MODTYPE}" = "colibri-t20" ] ; then
echo ""
echo "UBI image of root file system generated, copying data to target folder..."
else
- if [ "${MODTYPE}" = "apalis-t30" ] || [ "${MODTYPE}" = "apalis-tk1" ] || [ "${MODTYPE}" = "colibri-t30" ] ; then
+ if [ "${MODTYPE}" = "apalis-t30" ] || [ "${MODTYPE}" = "apalis-tk1" ] || [ "${MODTYPE}" = "apalis-tk1-mainline" ] || [ "${MODTYPE}" = "colibri-t30" ] ; then
# Boot partition [in sectors of 512]
BOOT_START=$(expr 4096 \* 2)
# Rootfs partition [in sectors of 512]
@@ -418,7 +425,7 @@ else
fi
fi
done
- [ "${MODTYPE}" = "apalis-tk1" ] && ([ $COPIED = true ] || { echo "Did not find the devicetrees from KERNEL_DEVICETREE, ${KERNEL_DEVICETREE}. Aborting."; exit 1; })
+ ([ "${MODTYPE}" = "apalis-tk1" ] || [ "${MODTYPE}" = "apalis-tk1-mainline" ]) && ([ $COPIED = true ] || { echo "Did not find the devicetrees from KERNEL_DEVICETREE, ${KERNEL_DEVICETREE}. Aborting."; exit 1; })
fi
echo ""